Update post-call questions
curl --request PATCH \
--url https://api.callrounded.com/v1/agents/{agent_id}/post-call-questions \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"questions": [
{
"name": "<string>",
"description": "<string>",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"optional": false,
"examples": [
"<string>"
],
"options": [
{
"value": "<string>",
"option_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
]
}
'import requests
url = "https://api.callrounded.com/v1/agents/{agent_id}/post-call-questions"
payload = { "questions": [
{
"name": "<string>",
"description": "<string>",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"optional": False,
"examples": ["<string>"],
"options": [
{
"value": "<string>",
"option_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
] }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
questions: [
{
name: '<string>',
description: '<string>',
type: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
optional: false,
examples: ['<string>'],
options: [{value: '<string>', option_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}]
}
]
})
};
fetch('https://api.callrounded.com/v1/agents/{agent_id}/post-call-questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"created": [
{
"name": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"optional": false,
"options": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"examples": [
"<string>"
]
}
],
"updated": [
{
"name": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"optional": false,
"options": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"examples": [
"<string>"
]
}
],
"errors": [
{}
]
},
"error": {
"details": [
{
"field": "email",
"message": "Invalid email format"
}
],
"message": "An error occurred while processing your request",
"status": 400,
"type": "generic_error"
},
"status": 200
}post-call-questions
Update post-call questions
Update agent post-call questions in a single request. If an item has no ID, a new post-call question will be created. Only description can be updated. Maximum 50 questions per batch.
PATCH
/
v1
/
agents
/
{agent_id}
/
post-call-questions
Update post-call questions
Authorizations
The API Key created in Rounded Studio.
- You can create it by going to the "API Keys" settings of your profile.
- Need help? You can email us at team@callrounded.com or join our Discord community.
Path Parameters
Agent ID
Body
application/json
Schema for batch create/update requests.
List of questions to create/update
Required array length:
1 - 50 elementsShow child attributes
Show child attributes
Response
Successfully processed post-call questions batch
Batch create/update post-call questions API response.
Response schema for batch operations.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{
"details": [
{
"field": "email",
"message": "Invalid email format"
}
],
"message": "An error occurred while processing your request",
"status": 400,
"type": "generic_error"
}
HTTP status code of the response.
⌘I